// Generated by CoffeeScript 1.10.0
var minimatch;

minimatch = require('minimatch');

module.exports = function(env, callback) {
  var filter, list;
  filter = function(contents, pattern) {
    return list(contents).filter(function(entry) {
      return minimatch(entry.filename, pattern);
    });
  };
  list = function(contents) {
    var entries, key, ref, subcontents, value;
    entries = [];
    ref = contents._;
    for (key in ref) {
      value = ref[key];
      switch (key) {
        case 'directories':
          subcontents = value.map(function(directory) {
            return list(directory);
          });
          entries = Array.prototype.concat.apply(entries, subcontents);
          break;
        default:
          entries = entries.concat(value);
      }
    }
    return entries.sort(function(a, b) {
      return a.filename.localeCompare(b.filename);
    });
  };
  env.helpers.contents = {
    'filter': filter,
    'list': list
  };
  return callback();
};
